[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLQuery.StatementType

SQL statement type

## Declaration

Source position: sqldb.pp line 440

`public property TSQLQuery.StatementType : TStatementType;`

## Description

StatementType is determined during the Prepare call when ParseSQL is set to True. It gives an indication of the type of SQL statement that is being executed.

## See also

TSQLQuery.SQL |  | The SQL statement to execute
TSQLQuery.ParseSQL |  | Should the SQL statement be parsed or not
TSQLQuery.Params |  | Parameters detected in the SQL statement.

Documentation generated on: Feb 26 2014